Compatibility with Windows Phone 7.5

Greetings and thanks for letting me join your community, I have an old Windows phone that is currently running Windows Phone 7.1 OS. It’s my latest toy, it has been dropped by microsoft and by LG. I am trying to get it upgraded to 8.1 but I NEED to download a newer browser that is supported. I’d love to be using tne Brave Browser on there.


Description of the issue:

How can this issue be reproduced?

Expected result:

Brave Version( check About Brave):

Mobile Device details

Additional Information: